WordPress.org

Ready to get started?Download WordPress

Forums

Store Locator Plus
API Key is invalid (3 posts)

  1. beth@middlesexdesign.com
    Member
    Posted 1 year ago #

    I purchased the Store Locator Plus Pro for $49 and have had a hard time figuring out where the correct documentation is and who supports. Is it Cyber Sprocket? Charlestown Software? I've been through three different websites and was forwarded here.
    I loaded all my locations but the software is not working because I'm getting an error message that says my API key is invalid. The Cyber Sprocket documentation says that I need to use the exact domain name when I create the API key but the Google API pages says this is not required. Can you tell me where the current, accurate documentation and support is?
    Can you give me the link to the correct Google page to create the API key? My error message is:
    "Google has disabled use of the MAPS API for this application. The provided key is not a valid API key or it is not authorized for the Google Maps Javascript API v3 for this site."

    http://wordpress.org/extend/plugins/store-locator-le/

  2. jeffo.de
    Member
    Posted 1 year ago #

    You can obtain API code here:
    https://code.google.com/apis/console/

    Place your website in the browser API key:

    http://*.yourdomain.xxx/*

    Then it should work with any combination of your website.

  3. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    CSA has taken over all Cyber Sprocket WordPress plugins.

    Some of the documentation on Cyber Sprocket is outdated, based on the Google Maps API Version 2 which was the original platform. The software now uses Google Maps API Version 3.

    You should not need an API key, so start by removing anything you put into that field on General Settings in Store Locator Plus. You only need the key if you are going to have more than 2500 location lookups/hour. If so then go to the Google Console as Jeffo.De noted and make sure Google Maps API V2 is OFF and only Maps API V3 is enabled. Use the domain wildcard as noted.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.